#checkout-page {
  font-size: 13px;
  --td-padding-x: 20px;
  --td-padding-y: 12px;
  --th-padding-y: 7px;
  --td-last-padding-right: 30px;
}

#checkout-page .theme-header {
  margin-bottom: 15px;
}
#checkout-page hr.theme-gold {
  border-color: #cdac00;
  border-color: var(--theme-gold);
}
#checkout-page hr.theme-green {
  border-color: #3bbfad;
  border-color: var(--theme-green);
}






#checkout-page .items-wrapper {
  position: relative;
}
#checkout-page .items-wrapper .table.products tr {
  position: relative;
}
#checkout-page .items-wrapper .table.products .image {
  width: 10%;
  min-width: 120px;
  padding-left: 0;
}
#checkout-page .items-wrapper .table.products .image img {
  max-width: 100%;
  border: 1px solid lightgray;
  border: 1px solid var(--light-grey);
}
#checkout-page .items-wrapper .table.products .item {
  width: 19%;
  min-width: 170px;
}
#checkout-page .items-wrapper .table.products .details {
  width: 18%;
  min-width: 150px;
}
#checkout-page .items-wrapper .table.products .quantity {
  width: 17%;
  min-width: 140px;
  text-align: center;
}
#checkout-page .items-wrapper .table.products .quantity .mar-number-input {
  margin-left: auto;
  margin-right: auto;
}
#checkout-page .items-wrapper .table.products .price {
  width: 20%;
  min-width: 120px;
  text-align: right;
}
#checkout-page .items-wrapper .table.products .total {
  width: 16%;
  min-width: 155px;
  text-align: right;
  padding-right: 30px;
  padding-right: var(--td-last-padding-right);
}
#checkout-page .items-wrapper .table.products td.total {
  font-weight: bold;
}
#checkout-page .items-wrapper .table.products .deposit-reminder {
  position: absolute;
  right: 30px;
  right: var(--td-last-padding-right);
  bottom: 12px;
  bottom: var(--td-padding-y);
  padding-left: 1em;
  text-align: left;
  line-height: 1.2;
  font-size: 12px;
  font-weight: normal;
  color: #ff1d25;
  color: var(--red);
}
#checkout-page .items-wrapper .table.products .deposit-reminder p:last-child{
  margin-left: 7px;
}














/*------ add gift setting button ----- */
#checkout-page .gift-settings .add-gift-packaging {
  display: flex;
  align-items: center;
}
#checkout-page .gift-settings .add-gift-packaging .mar-checkbox {
  margin-right: 15px;
  font-size: 18px;
}
#checkout-page .gift-settings .add-gift-packaging span {

}

/* --------- gifts table ----------- */
#checkout-page .gift-settings .gift-packages {
  display: grid;
  grid-template-columns: auto;
}
#checkout-page .gift-settings .gift-packages label {
  margin-right: 10px;
  margin-bottom: 0;
}
#checkout-page .gift-settings .gift-packages p {
  margin-bottom: 0;
}
#checkout-page .gift-settings .gift-packages .form-control {
  font-size: 1em;
}
#checkout-page .gift-settings .gift-packages .mar-selectpicker {
  display: inline-block;
}

/* ---------- each gift ------------ */
#checkout-page .gift-settings .gift-packages .gift-package {
  display: flex;
  min-width: 1125px;
}
#checkout-page .gift-settings .gift-packages .gift-package:not(:last-child) {
  border-bottom: 1px solid lightgray;
  border-bottom: 1px solid var(--light-grey);
}
#checkout-page .gift-settings .gift-packages .gift-package > div {
  display: flex;
}
#checkout-page .gift-settings .gift-packages .gift-package .gift-info {
  width: 23%;
  align-items: center;
  align-self: flex-start;
}
#checkout-page .gift-settings .gift-packages .gift-package .gift-info > div {
  padding: 12px 20px;
  padding: var(--td-padding-y) var(--td-padding-x);
}
#checkout-page .gift-settings .gift-packages .gift-package .gift-info .image {
  width: 43.4783%;
  min-width: 110px;
  padding-left: 0;
}
#checkout-page .gift-settings .gift-packages .gift-package .gift-info .image img {
  max-width: 100%;
  border: 1px solid lightgray;
  border: 1px solid var(--light-grey);
}
#checkout-page .gift-settings .gift-packages .gift-package .gift-info .name {
  width: 56.5217%;
  min-width: 155px;
}
#checkout-page .gift-settings .gift-packages .gift-package .gift-info .name p {
  white-space: pre-wrap;
}
#checkout-page .gift-settings .gift-packages .gift-package .options {
  width: 77%;
  padding-left: 0;
  padding-right: 0;
  flex-direction: column;
  justify-content: center;
  padding-top: 2px;
  padding-bottom: 2px;
}

/* --------- each gift options ---------- */
#checkout-page .gift-settings .gift-packages .gift-package .options .package {
  display: flex;
  align-items: center;
  position: relative;
  --option-padding-y: 4px;
  padding-top: 4px;
  padding-top: var(--option-padding-y);
  padding-bottom: 4px;
  padding-bottom: var(--option-padding-y);
}
#checkout-page .gift-settings .gift-packages .gift-package .options .package > div {
  padding: 0 20px;
  padding: 0 var(--td-padding-x);
}
#checkout-page .gift-settings .gift-packages .gift-package .options .package .mar-selectpicker .mar-selectpicker-toggle,
#checkout-page .gift-settings .gift-packages .gift-package .options .package .mar-selectpicker .mar-selectpicker-option {
  text-transform: capitalize;
}
#checkout-page .gift-settings .gift-packages .gift-package .options .package .size {
  width: 35%;
  min-width: 304px;
}
#checkout-page .gift-settings .gift-packages .gift-package .options .package .size .mar-selectpicker {
  width: 220px;
}
#checkout-page .gift-settings .gift-packages .gift-package .options .package .color {
  width: 21%;
  min-width: 184px;
}
#checkout-page .gift-settings .gift-packages .gift-package .options .package .color .mar-selectpicker {
  width: 90px;
}
#checkout-page .gift-settings .gift-packages .gift-package .options .package .quantity {
  width: 18%;
  min-width: 150px;
  text-align: center;
}
#checkout-page .gift-settings .gift-packages .gift-package .options .package .quantity .mar-number-input {
  margin-left: auto;
  margin-right: auto;
}
#checkout-page .gift-settings .gift-packages .gift-package .options .package .price {
  width: 12%;
  min-width: 100px;
  text-align: right;
}
#checkout-page .gift-settings .gift-packages .gift-package .options .package .total {
  width: 14%;
  min-width: 120px;
  text-align: right;
  font-weight: bold;
  padding-right: 30px;
  padding-right: var(--td-last-padding-right);
}
#checkout-page .gift-settings .gift-packages .gift-package .options .package .add {
  position: absolute;
  width: 20px;
  right: 0;
  text-align: right;
}

/* ------------- gift card ------------ */
#checkout-page .gift-settings .gift-package.gift-card .gift-info {
  width: 18%;
}
#checkout-page .gift-settings .gift-package.gift-card .gift-info .image {
  width: 55.5555%;
}
#checkout-page .gift-settings .gift-package.gift-card .gift-info .name {
  width: 44.4444%;
  min-width: 95px;
}
#checkout-page .gift-settings .gift-package.gift-card .options {
  width: 82%;
}
#checkout-page .gift-settings .gift-package.gift-card .card-options {
  width: 58.6830%;
  min-width: 488px;
  padding: 0 !important;
}
#checkout-page .gift-settings .gift-package.gift-card .card-options .sender-receiver {
  display: flex;
}
#checkout-page .gift-settings .gift-package.gift-card .card-options .sender,
#checkout-page .gift-settings .gift-package.gift-card .card-options .receiver,
#checkout-page .gift-settings .gift-package.gift-card .card-options .message {
  display: flex;
  flex: 1;
  padding: 3px 20px;
  padding: 3px var(--td-padding-x);
}
#checkout-page .gift-settings .gift-package.gift-card .card-options .message p {
  white-space: pre-wrap;
}
#checkout-page .gift-settings .gift-package.gift-card .card-options label {
  width: 55px;
  text-align: right;
}
#checkout-page .gift-settings .gift-package.gift-card .card-options .form-control {
  flex: 1;
}
#checkout-page .gift-settings .gift-package.gift-card .card-options textarea {
  height: 55px;
  resize: none;
}
#checkout-page .gift-settings .gift-package.gift-card .quantity {
  width: 16.9024% !important;
}
#checkout-page .gift-settings .gift-package.gift-card .price {
  width: 11.2683% !important;
}
#checkout-page .gift-settings .gift-package.gift-card .total {
  width: 13.1463% !important;
}















/* -------------------- info blocks ------------------- */
#checkout-page .info-block {
  padding-right: 30px;
}
#checkout-page .info-block .block-heading {
  display: flex;
  align-items: center;
  margin-bottom: 15px;
}
#checkout-page .info-block .block-heading h5 {
  font-size: 18px;
  margin-bottom: 0;
  margin-right: 15px;
}
#checkout-page .info-block .block-content {
  margin-bottom: 25px;
}
#checkout-page .info-block .block-content .no-reminder {
  color: #b3b3b3;
  color: var(--grey);
}
#checkout-page .info-block .block-content .additional-options {

}
#checkout-page .info-block .block-content .additional-options .additional-option {
  display: flex;
  margin-bottom: 7px;
}
#checkout-page .info-block .block-content .additional-options .additional-option .mar-checkbox {
  margin-right: 15px;
  margin-top: 0.2em;
}
#checkout-page .info-block .block-content .additional-options .additional-option p {
  margin-bottom: 0;
}
#checkout-page .info-block .block-content .additional-options .additional-option .form-control {
  max-width: 200px;
  border-color: #58595b;
  border-color: var(--dark);
  margin-top: -0.2em;
  margin-left: -0.3em;
}
#checkout-page .row .sub-total.info-block {
  text-align: right;
}





/*-------------- billing / shipping modal -------------*/
.checkout-info-form .modal-content {
  background-color: white;
  --popup-padding-x: 30px;
}


.checkout-info-form .mar-checkbox {
  border-radius: 50%;
  height: 1.2em;
  width: 1.2em;
  padding: 0.08em;
}
.checkout-info-form p {
  margin-bottom: 0;
}
.checkout-info-form .form-control {
  display: block;
  width: 100%;
  font-size: 13px;
  margin-bottom: 14px;
  height: 23px;
  border: none;
  border-bottom: 1px solid #b3b3b3;
  border-bottom: 1px solid var(--grey);
  border-radius: 0;
  box-shadow: none;
  text-align:center;
}
.checkout-info-form .mar-selectpicker button.mar-selectpicker-toggle.with-arrow::after {
  margin-right: 0;
}
.checkout-info-form .mar-selectpicker button.mar-selectpicker-toggle > span.dropdown-toggle-text,
.checkout-info-form .mar-selectpicker .mar-selectpicker-option {
  text-align: center;
}


.checkout-info-form .modal-header {
  margin-bottom: 0px;
}

.checkout-info-form .info-options {

}
.checkout-info-form .info-options .info-option {
  display: flex;
  padding-top: 15px;
  padding-bottom: 15px;
  padding-left: 50px;
  padding-right: 50px;
  font-size: 13px;
  border-bottom: 1px solid lightgray;
  border-bottom: 1px solid var(--light-grey);
  position: relative;
}
.checkout-info-form .info-options .info-option:last-child {
  border: none;
}

.checkout-info-form .info-options .info-option .checkbox-wrapper {
  position: absolute;
  left: 0;
}
.checkout-info-form .info-options .info-option .option-details {
}
.checkout-info-form .info-options .info-option .option-details .save-default {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 15px;
}
.checkout-info-form .info-options .info-option .option-details .save-default .mar-checkbox {
  margin-right: 15px;
}
.checkout-info-form .info-options .info-option .option-details .require-reminder {
  font-size: 13px;
}




.checkout-info-form .submit-btn {
  display: block;
  min-width: 150px;
  margin: 15px auto;
  font-size: 14px;
  border-radius: 3px;
}
.checkout-info-form .mar-btn.mar-btn-default.submit-btn {
}
.checkout-info-form .country-selectpicker .dropdown-menu {
  /* height: 300px; */
}


















/* ------------------- shipping -------------------- */
#checkout-page .col-5.heading {
  font-size: 20px;
}

#checkout-page .shipInfo {
  width: 46%;
}

#checkout-page .col-5.details {
  width: 46%;
}

#checkout-page .add-insurance {
  display: flex;
}
#checkout-page .insuranceInfo {
  margin-left: 9%;
  display: flex;
}

#checkout-page .shipping .shipping-info p {
  margin-bottom: 7px;
}
#checkout-page .shipping .shipping-info p .label {
  display: inline-block;
  width: 150px;
  vertical-align: top;
}
#checkout-page .shipping .shipping-info p .address {
  display: inline-block;
  white-space: pre-line;
}
#checkout-page .shipping-method .courier-details {
  display: flex;
  justify-content: space-between;
}
#checkout-page .shipping-method .courier-details p {
  margin-bottom: 7px;
}
#checkout-page .shipping-method .insurance {
  display: flex;
  justify-content: space-between;
}
#checkout-page .shipping-method .insurance .insurance-details {
  flex: 1;
  padding-right: 35px;
}
#checkout-page .shipping-method .insurance .insurance-remarks {
  font-size: 0.95em;
  line-height: 1.4;
}
#checkout-page .shipping-method .insurance .insurance-price {
  width: 100px;
  text-align: right;
}

#checkout-page .shipping-method .select-delivery-time.col-3{
  padding-left: 0;
}






/* ---------------- remarks ---------------- */
#checkout-page .customer-remarks {
  padding-right: 0;
}
#checkout-page .customer-remarks q {
  white-space: pre-line;
}
#checkout-page .customer-remarks textarea {
  width: 100%;
  height: 80px;
}









/* ------------------ billings ------------------ */
/* ---------- billing info ---------- */
#checkout-page .billings .billing-info {

}
#checkout-page .billings .billing-info p {
  margin-bottom: 7px;
}

/* -------- edit billing modal ------ */
#edit-billing-modal .info-options .expiry-date .label {
  margin-top: 2px;
}






/* ------------------ paid by ----------------- */
#checkout-page .paid-by.confirm .additional-option::before {
  content: '•';
  margin-right: 10px;
  margin-left: 5px;
  margin-top: -10px;
}
#checkout-page .paid-by .result {
  margin-top: -10px;
  color: #58595b;
  color: var(--dark);
}
#checkout-page .paid-by .payment-logos {
  padding-top: 5px;
  padding-bottom: 5px;
}
#checkout-page .paid-by .payment-logos img {
  height: 40px;
  margin-right: 15px;
}
#checkout-page .paid-by .payment-logos img.visa {
  padding: 7px 0;
}











/* ------------ total, sub-total ------------ */
#checkout-page .currency-price {
  font-size: 14px;
  font-weight: normal;
}

#checkout-page .sub-total > *,
#checkout-page .total-amount > * {
  margin: 0;
  font-size: 18px;
  font-weight: bold;
  line-height: 1;
}
#checkout-page .total-amount {
  margin-bottom: 35px;
}
#checkout-page .total-amount:not(.confirm) > * {
  color: #3bbfad;
  color: var(--theme-green);
}








/* ---------------- qrcode popup ---------------- */
#qrcode-payment .qr-code {
  text-align: center;
  margin-bottom: 15px;
}
#qrcode-payment .qr-code img {
  width: 200px;
  height: 200px;
  object-fit: contain;
}






































/* ---------------------------- shopping cart page ------------------------------ */
#shopping-cart-page .theme-header {
  margin-bottom: 15px;
}


#shopping-cart-page .products-table tr {
  position: relative;
}
#shopping-cart-page .products-table .text-height {
  height: 1em;
}
#shopping-cart-page .products-table .select {
  display: block;
  position: absolute;
  width: 30px;
  background-color: white;
  padding-left: 0;
  padding-right: 15px;
}
#shopping-cart-page .products-table .image {
  width: 10%;
  min-width: 120px;
  padding-left: 30px;
  padding-right: 10px;
}
#shopping-cart-page .products-table .image img {
  display: block;
  width: 100%;
  height: auto;
  object-fit: contain;
  border: 1px solid lightgray;
  border: 1px solid var(--light-grey);
}
#shopping-cart-page .products-table .item {
  width: 18%;
  min-width: 185px;
  padding-left: 10px;
}
#shopping-cart-page .products-table .quantity {
  width: 11%;
  min-width: 125px;
  text-align: center;
}
#shopping-cart-page .products-table .quantity .mar-number-input {
  margin-left: auto;
  margin-right: auto;
}
#shopping-cart-page .products-table .price {
  width: 10%;
  min-width: 120px;
  text-align: right;
}
#shopping-cart-page .products-table .total {
  width: 14%;
  min-width: 165px;
  text-align: right;
}
#shopping-cart-page .products-table .add-favourite {
  width: 23%;
  min-width: 220px;
  text-align: right;
}
#shopping-cart-page .products-table .share {
  width: 10%;
  min-width: 105px;
  text-align: right;
}
#shopping-cart-page .products-table .delete {
  width: 4%;
  min-width: 42px;
  text-align: right;
  padding-right: 10px;
}
#shopping-cart-page .products-table .reminder {
  padding-left: 30px;
}

#shopping-cart-page .checkout {
  display: flex;
  align-items: center;
  justify-content: flex-end;
}
#shopping-cart-page .checkout p {
  font-size: 15px;
  font-weight: bold;
  margin-bottom: 0;
  margin-right: 18px;
}
#shopping-cart-page .checkout .mar-btn {
  min-width: 117px;
}































/* ---------------------------- my favourites page ------------------------------ */
#my-favourites-page .theme-header {
  margin-bottom: 15px;
}
#my-favourites-page .favourites {
  display: flex;
  flex-wrap: wrap;
  margin-left: -15px;
  margin-right: -15px;
  margin-top: -15px;
}
#my-favourites-page .favourite-wrapper {
  padding: 15px;
}
#my-favourites-page .favourite {
  border: 1px solid lightgray;
  border: 1px solid var(--light-grey);
  position: relative;
  width: 170px;
}
#my-favourites-page .favourite .delete {
  position: absolute;
  right: 7px;
  top: 5px;
  z-index: 2;
}
#my-favourites-page .favourite .image {
  border-bottom: 1px solid lightgray;
  border-bottom: 1px solid var(--light-grey);
}
#my-favourites-page .favourite .image img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}
#my-favourites-page .favourite .text {
  display: flex;
  padding: 5px 10px;
}
#my-favourites-page .favourite .text .details {
  flex: 1;
}
#my-favourites-page .favourite .text .details p {
  margin-bottom: 0;
  font-size: 12px;
  line-height: 1.2;
}
#my-favourites-page .favourite .text .details .name {
  text-transform: capitalize;
  margin-bottom: 5px;
  font-size: 12px;
  margin-right: 5px;
}
#my-favourites-page .favourite .text .share {

}
